<?php

declare(strict_types=1);

namespace Tricks\MediaLibraryOverrides\Data;

use App\Data\TranslatedData;
use Spatie\LaravelData\Data;

final class TranslatedImageData extends Data
{
    public function __construct(
        public string $url,
        /** @phpstan-ignore class.notFound,class.notFound */
        public TranslatedData $alt,
    ) {
        //
    }

    /**
     * @phpstan-ignore class.notFound
     */
    public static function fromMultiple(string $url, TranslatedData $alt): self
    {
        return new self($url, $alt);
    }
}
